<template>
    <h1>Hello world!</h1>
    <p class="lorem">Lorem ipsum dolor sit amet, consectetur adipisicing elit. A ad atque dolorum fuga inventore pariatur quasi vel?
        Ad amet consequatur corporis dicta illo labore nesciunt praesentium quos reiciendis, sunt. Fuga.</p>
    <a href="http://yandex.ru">Яндекс</a>
    <br>
    <p>Счетчик: <b>{{ count }}</b></p>
    <Counter :initial-value="count" @updateCount="updateCountHandler" />
    <div>another div</div>
</template>

<script>
    import Counter from '@/components/Counter.vue';

    export default {
        components: {Counter},
        data() {
            return {
                count: 5
            };
        },
        methods: {
            updateCountHandler(count) {
                this.count = count;
            }
        }
    };
</script>

<style>
    h1 {
        color: blue;
    }
    .lorem {
        text-align: center;
    }
    a {
        background: black;
        color: white;
    }
    button {
        background: red;
        padding: 20px;
    }
</style>
